Bug 1461256 - (CVE-2017-7752) CVE-2017-7752 Mozilla: Use-after-free with IME input (MFSA 2017-16)
CVE-2017-7752 Mozilla: Use-after-free with IME input (MFSA 2017-16)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170614,repor...
: Security
Depends On:
Blocks: 1459420
  Show dependency treegraph
 
Reported: 2017-06-14 00:29 EDT by Huzaifa S. Sidhpurwala
Modified: 2017-06-27 02:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 02:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2017-06-14 00:29:37 EDT
A use-after-free vulnerability during specific user interactions with the input method editor (IME) in some languages due to how events are handled. This results in a potentially exploitable crash but would require specific user interaction to trigger.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-16/#CVE-2017-7752


Acknowledgements:

Name: the Mozilla project
Upstream: Nils
Comment 1 errata-xmlrpc 2017-06-14 03:53:08 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1440 https://access.redhat.com/errata/RHSA-2017:1440
Comment 2 errata-xmlrpc 2017-06-21 00:37:16 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1561 https://access.redhat.com/errata/RHSA-2017:1561

Note You need to log in before you can comment on or make changes to this bug.